# User Recipes & Collections

- [Add User Recipe](https://docs.whisk.com/api/recipes/user-recipes-and-collections/add-user-recipe.md)
- [Create A Recipe](https://docs.whisk.com/api/recipes/user-recipes-and-collections/create-a-recipe.md)
- [Update External Recipe](https://docs.whisk.com/api/recipes/user-recipes-and-collections/updaterecipe.md)
- [Get All User Recipes](https://docs.whisk.com/api/recipes/user-recipes-and-collections/get-all-user-recipes.md)
- [Update User Recipe](https://docs.whisk.com/api/recipes/user-recipes-and-collections/update-user-recipe.md)
- [Remove Recipe from Favorites](https://docs.whisk.com/api/recipes/user-recipes-and-collections/remove-recipe-from-favorites.md)
- [Create Collection](https://docs.whisk.com/api/recipes/user-recipes-and-collections/create-collection.md)
- [Get All User Collections](https://docs.whisk.com/api/recipes/user-recipes-and-collections/get-all-user-collections.md)
- [Get Collection](https://docs.whisk.com/api/recipes/user-recipes-and-collections/get-collection.md)
- [Get Recipes from a Collection](https://docs.whisk.com/api/recipes/user-recipes-and-collections/get-recipes-from-a-collection.md)
- [Remove Collection](https://docs.whisk.com/api/recipes/user-recipes-and-collections/remove-collection.md)
- [Get Smart Collection](https://docs.whisk.com/api/recipes/user-recipes-and-collections/get-collection-1.md): Method for getting smart collections. Smart collections are special types of collections created automatically in Whisk. Content in smart collections also updates automatically based on user actions.
- [Get Recipes from a Smart Collection](https://docs.whisk.com/api/recipes/user-recipes-and-collections/get-recipes-from-a-collection-1.md): Method allow to get all recipes in Smart collection


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/api/recipes/user-recipes-and-collections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
